Overview
Message groups contain templates for SMS and email messages sent to candidates during the interview process. You can create message groups with custom messaging for different interview types (standard or questionnaire) and control when messages are sent.List Message Groups
List available message groups for your organization/team. Endpoint:GET /qsi/gather/message-groups
- cURL
- JavaScript
- Python
Get Message Group
Get message group details including all messages. Endpoint:GET /qsi/gather/message-groups/{messageGroupId}
string
required
UUID of the message group
- cURL
- JavaScript
- Python
Create Message Group
Create a new message group with messages for a team. Message groups can be of type ‘standard’ or ‘questionnaire’ and can be in ‘DRAFT’ or ‘PUBLISHED’ status. Endpoint:POST /qsi/gather/message-groups
- cURL
- JavaScript
- Python
Update Message Group
Update an existing message group. You can update the title, status, type, team, or messages. If messages are not provided, existing messages are preserved. Endpoint:PATCH /qsi/gather/message-groups/{messageGroupId}
string
required
UUID of the message group to update
- cURL
- JavaScript
- Python
Message Types
Available message types:- INVITE - Initial interview invitation sent when a candidate interview is created
- CANDIDATE_REMINDER - Reminder sent to candidates who haven’t completed their interview
- COMPLETION_CONFIRMATION - Confirmation message sent after interview completion
Message Group Types
- standard - For standard audio interviews
- questionnaire - For questionnaire/text-based interviews
Message Group Status
- DRAFT - Message group is not yet published and cannot be used
- PUBLISHED - Message group is active and can be used in interviews
Message Variables
In SMS and email bodies, you can use the following variables:{{link}}- Interview invitation link (automatically replaced)
When updating messages, include the
id field for existing messages you want
to update. Messages without an id will be created as new messages. If you
don’t provide the messages array, existing messages will be preserved.Using Message Groups
When creating interviews, you can specify amessageGroupId:
If no
messageGroupId is specified, the default message group for your
organization will be used.Related Resources
Interviews
Learn about creating interviews with message groups
Branding
Learn about branding customization

